### Function

# AppStream ChecksumKind from_string

#### Declaration [src]

    AsChecksumKind
    as_checksum_kind_from_string (
      const gchar* kind_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`kind_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsChecksumKind`

A `AsChecksumKind` or `AS_CHECKSUM_KIND_NONE` for unknown.